html, body {
    overflow-x: clip !important;
    overflow-x: unset !important;
    position: relative;
}

#hero {
    padding-block: 14rem 8rem;
    background: linear-gradient(
        135deg,
        #2B3E7D,
        #1A2557
    );
}
#hero .-main-box {
    display: grid;
    gap: 3.2rem;
}
#hero h1 {
    font-size: 6rem;
    color: var(--yellow);
}
#hero p.text {
    max-width: 80rem;

    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1.625;
    color: var(--font-col-600);
}
#hero .buttons {
    display: flex;
    align-items: center;
    gap: 1.8rem;

    & .color-btn {
        border-radius: 5rem;
        & svg {
            transform-origin: center;
            rotate: -90deg;
        }
    }
}


/* RESOURCES */

#resources {
    background-color: #F5F5F5;
}

#resources nav {
    padding-block: 2.4rem;

    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
}
#resources nav button {
    padding: 1.2rem 2.4rem;

    font-size: 1.4rem;
    font-weight: 700;
    text-transform: uppercase;
    color: #364153;

    background-color: #fff;
    border-radius: 6px;
    border: unset;
}
#resources nav button[disabled] {
    color: #fff;
    background-color: #000;
}
#resources nav button:not([disabled]):is(:hover, :focus-visible) {
    background-color: #eee;
}


/* Filters */

#resources .filters {
    padding-block: 3.2rem;
    background-color: #fff;
    border-block: 1px solid #d1d5db;
}

#resources .filters h3 {
    display: flex;
    align-items: center;
    gap: 1.6rem;

    font-size: 3.2rem;
    font-style: italic;
    text-transform: uppercase;
    color: #101828;

    margin-bottom: 3.2rem;
}

#resources .filters .filters-inner {
    display: flex;
    flex-wrap: wrap;
    gap: 1.2rem;
}
#resources .filters .filters-inner select {
    flex: 1;
    width: 100%;

    padding: 1.2rem 1.6rem;

    border: 1px solid #d1d5db;
    border-radius: 6px;
}

#resources .filters .filters-inner select,
#resources .filters .filters-inner select option {
    font-size: 1.6rem;
    font-weight: 500;
    color: #364153;
}


/* Results area */

#resources h4 {
    margin-top: 3.2rem;

    font-size: 2.4rem;
    font-style: italic;
    text-transform: uppercase;
    color: #000;
}

ul#results {
    padding-block: 8rem 4rem;
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(28rem, 1fr));
    gap: 2.4rem;
}
ul#results li {
    background-color: #fff;

    box-shadow: 
        rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
        rgba(0, 0, 0, 0.1) 0px 2px 4px -2px;

    transition: 
        box-shadow 0.25s,
        translate 0.1s;

    border-radius: 6px;

    display: grid;
    grid-template-rows: auto 1fr;

    position: relative;
    isolation: isolate;

    overflow: clip;
}

ul#results li span {
    padding: 4px 16px;

    position: absolute;
    top: 1.2rem; left: 1.2rem;

    font-size: 1.2rem;
    text-transform: uppercase;
    color: var(--font-col-600);

    background-color: #000;
    border-radius: 2rem;

    z-index: 1;
}

ul#results li picture {
    width: 100%;
    aspect-ratio: 286 / 192;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: gray;

    overflow: hidden;
}
ul#results li picture img {
    width: 120%;
    object-fit: contain;
    object-position: center;

    transition: scale 0.25s;
}

ul#results li .info {
    padding: 2.4rem;

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 4;
    gap: 8px;
}
ul#results li .info h5 {
    font-size: 1.8rem;
    text-transform: uppercase;
    color: #000;

    margin-bottom: 8px;
}
ul#results li .info h6 {
    font-size: 1.4rem;
    color: #000;
}
ul#results li .info data {
    font-size: 1.4rem;
    font-weight: 500;
    color: #4a5565;
}
ul#results li .info small {
    font-size: 1.2rem;
    color: #4a5565;
}

ul#results li:is(:hover, :focus-within) {
    translate: 0 -1px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;

    & img {
        scale: 1.1;
    }
    & h5 {
        color: var(--blue5B);
    }
}


/* Pages Nav */
ul#pageNavs {
    list-style: none;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 8px;

    padding-bottom: 8rem;
}
ul#pageNavs li > * {
    width: 40px;
    height: 40px;

    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 1.6rem;
    font-weight: 500;
    text-decoration: none;
    color: #4a5565;

    border: 2px solid #d1d5db;
    transition: border 0.25s;
    border-radius: 50%;

    cursor: default;
}
ul#pageNavs li svg {
    --size: 16px;
    color: #4a5565;
}
ul#pageNavs li > a {
    cursor: pointer;
}
ul#pageNavs li > a:is(:hover, :focus) {
    border: 2px solid #000;
}
ul#pageNavs li[data-current="true"] > * {
    background-color: #000;
    border-color: #0000001a;
    color: #fff;
}
ul#pageNavs li.nav-page svg {
    margin-top: 2px;
}
ul#pageNavs li.nav-page.-prev {
    rotate: 90deg;
}
ul#pageNavs li.nav-page.-next {
    rotate: -90deg;
}
ul#pageNavs li.nav-page span {
    background-color: #00000021;
    & svg {
        color: gray;
    }
}